RevocationAPI Reference
Revocation lists
Retrieve all Semantic CWT credentials revocation lists
GET
/v2/credentials/compact-semantic/revocation-listsReturns a list of all Semantic CWT credential revocation lists on the tenant.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_LISTS_RETRIEVE_FAIL
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/revocation-lists"[ { "nextCursor": "string", "data": [ { "id": "string", "issuer": "string", "url": "string" } ] }]Retrieve a Semantic CWT credential revocation list
GET
/v2/credentials/compact-semantic/revocation-lists/{listId}Returns a Semantic CWT credential revocation list by providing its ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_RETRIEVE_FAIL
Path Parameters
listId*string
The unique identifier of the revocation list you wish to retrieve.
Response Body
application/cwt
curl -X GET "https://example.com/v2/credentials/compact-semantic/revocation-lists/string""string"How would you rate this page?
Last updated on